# Code regarding the oerhub-ce platform

## Synopsis

This repository contains oerhub-ce platform code and setup instructions with Ubuntu 24.04.1 LTS.

Setup includes sample configuration to embed repositories of partner organisations:

* University of Vienna, [Phaidra](https://phaidra.univie.ac.at/)
* University Innsbruck, [oer-repo](https://oer-repo.uibk.ac.at/)
* University Graz, [oer-portal](https://oer-portal.uni-graz.at/)
* TU Graz, [repository](https://repository.tugraz.at/)

## Prerequisites

1. [User setup](doc/user.md)
2. [Install Docker](doc/docker.md)
3. [Install GlusterFS](doc/glusterfs.md)

## Deployment

1. Build and run oearegistry: [oearegistry](oearegistry)
2. Build and run oeaplatform: [oeaplatform](doc/oeaplatform)

## Additionals

* Join swarm: [join](doc/join.md)
* Module OAI-PMH: [cpan](cpan)

## Architecture and 

* [Documents](https://gitlab.phaidra.org/oerhub-ce/platform-docs) regarding the oerhub-ce platform

## OEA

Visit [https://openeducation.at/](https://openeducation.at/) for more information on OEA / Open Education Austria.

## OAI-PMH

For details about OAI-PMH and LOM visit [wiki](https://gitlab.phaidra.org/petert4/oai-pmh_doc/-/wikis/oai%20pmh) 

## Changelog

More about release changes in [version](version.md).
