#!/bin/bash

export DOCKER_REGISTRY=localhost:5443
export DOCKER_BUILDDATE=`date +%Y-%m-%d`
TAG=`date +%Y-%m-%dT%H.%M.%S` && docker compose build --no-cache --pull
OEA_VERSION=current
OEA_VERSIONNR=1.0.0.00-ce
allowedImages="stats metaingest metaharvest index frontend-client frontend-server webserver mq"

for allowedImage in $allowedImages ; do
  ID=`docker images -q $DOCKER_REGISTRY/$allowedImage:$OEA_VERSION` && docker tag $ID $allowedImage:$TAG && docker tag $ID $DOCKER_REGISTRY/$allowedImage:$OEA_VERSIONNR
done

for allowedImage in $allowedImages ; do
  docker push $DOCKER_REGISTRY/$allowedImage:$OEA_VERSION
  docker push $DOCKER_REGISTRY/$allowedImage:$OEA_VERSIONNR
done
docker rmi $(docker images -f "dangling=true" -q)
