#!/usr/bin/env perl

use strict;
use warnings;

use Data::Dumper;

use FindBin;
use Test::More;

use utf8;

my $tree = {
# 'file' => <0:skip|1:test>,
  'daemon.pl' => 1,
  'lib/App.pm' => 1,
  'lib/App/Locker.pm' => 1,
  'lib/App/Logger.pm' => 1,
  'lib/App/Type/File_JSON.pm' => 1,
  'lib/App/Type/HTTP_GET_JSON.pm' => 1,
  'lib/App/Type/OAIHarvest_LOM.pm' => 1,
  'lib/App/Type/OAIHarvest_DC.pm' => 1,
  'lib/App/Type/dummy.pm' => 1,
};
my $dir = "$FindBin::Bin/..";

SCRIPT:
for my $script ( keys %$tree ) {
  next SCRIPT unless $tree->{ $script };
  my $file = "$dir/$script";
  my $res;
  eval {
    $res = `perl -c $file 2>&1`;
    chomp $res;
  };
  is( $res, "$file syntax OK", "$file compiled" );
}

done_testing();

exit(0);

