#!/usr/bin/env perl

use strict;
use warnings;

use Data::Dumper;

use FindBin;
use lib "$FindBin::Bin/../lib";
use Test::More;

use utf8;

my $tree;

BEGIN {
  $tree = {
  # 'module' => {
  #   'method' => <0:skip|1:test>,
  # },
    'App' => {
      '_init' => 1,
      '_sanity' => 1,
      'new' => 1,
      'run' => 1,
    },
    'App::Locker' => {
      'get_lock' => 1,
      'release_lock' => 1,
    },
    'App::Logger' => {
      '_init' => 1,
      '_write' => 1,
      'new' => 1,
    },
    'App::Type::File_JSON' => {
      '_init' => 1,
      '_slurp' => 1,
      'new' => 1,
      'run' => 1,
    },
    'App::Type::HTTP_GET_JSON' => {
      '_init' => 1,
      '_slurp' => 1,
      'new' => 1,
      'run' => 1,
    },
    'App::Type::dummy' => {
      '_init' => 1,
      'new' => 1,
      'run' => 1,
    },
  };
  MODULE:
  for my $module ( keys %$tree ) {
    use_ok( $module );
  }
}

MODULE:
for my $module ( keys %$tree ) {
  METHOD:
  for my $method ( keys %{$tree->{ $module }} ) {
    next METHOD unless $tree->{ $module }->{ $method };
    can_ok( $module, $method );
  }
}

done_testing();

exit(0);

