package App::Type::dummy;

# workout job type dummy

use strict;
use warnings;

use Carp;
use Data::Dumper;

use FindBin;
use lib "$FindBin::Bin/../../";
use App::Logger;

sub new {
  my ($class, %args) = @_;

  my $self = {};
  # mandatory
  $self->{_cfg} = $args{cfg} || croak "no cfg given";

  bless($self, $class);

  $self->_init();

  return $self;
}

sub _init {
  my ($self) = @_;
  croak "_init is private" if caller() ne __PACKAGE__;

  # new logger
  $self->{_logger} = App::Logger->new(
    file => $FindBin::Bin.'/'.$self->{_cfg}->{log}->{path}.'/'.$self->{_cfg}->{log}->{filename},
    debug => defined $self->{_cfg}->{debug} ? $self->{_cfg}->{debug} : 1,
    verbosity => defined $self->{_cfg}->{verbosity} ? $self->{_cfg}->{verbosity} : 2,
  );

  $self->{_logger}->debug('_cfg ' . Dumper( $self->{_cfg} ) );

  return;
}

sub run {
  my ($self, %args) = @_;

  # args
  $self->{_ua} = $args{ua} || croak "no ua given";
  $self->{_msg} = $args{msg} || croak "no msg given";

  ## settings
  # shortcut
  my $logger = $self->{_logger};

  $logger->info('dummy start', 1);

  # this method can die/croak/confess

  eval {

    $logger->debug('_msg ' . Dumper( $self->{_msg} ), 2);

    $logger->info('dummy workout start', 1);

    $logger->warning('this method should never be called');

    $logger->info('dummy workout done', 1);

  }; # eval
  if ( $@ ) {
    my $syntax_error_message = $@;
    chomp $syntax_error_message;
    $logger->fatal("dummy died |$syntax_error_message|");
    croak $syntax_error_message;
  }

  $logger->info('dummy done', 1);

  return;
}

1;

__END__

